Octopress on OS X

Posted on May 5, 2012

1


I have been wanting to try Octopress for a while, so I decided to spent my Friday night setting it up.  Unfortunately, I ran into a few issues installing and getting my environment setup, and I figured I would share my setup issues with everybody else.  I started with the instructions from the Octopress website.

http://octopress.org/docs/setup/

As you run into issues, the solutions are listed below.

RVM and Ruby Installation

First, you will need to install RVM.  I followed the instructions I found on the Pragmatic Press article for installing Ruby 1.9.  You can continue on with the Rails portion of the installation, but you don’t need to for Octopress.  The only thing I would change is the version mentioned in the instructions from 1.9.3 to 1.9.2-p320, which is the version needed for Octopress.

Bundler

Once you get Ruby installed, you will also hit issues with installing bundler with rb-fsevent.  I found this bug report that provides the solution (mad props clippit).  In short, you will need to run the following command before setting up Octopress:

sudo xcode-select -switch /Applications/Xcode.app/Contents/Developer/Platforms/MacOSX.platform/Developer/

Rake

When I ran the ‘rake install’ command, I got the following error:

$ rake install rake aborted! You have already activated rake 0.9.2.2, but your Gemfile requires rake 0.9.2. Using bundle exec may solve this.

There is also a bug report for this on Octopress, but it was easy enough to fix by just updating the Gemfile.lock to point to rake 0.9.2.2 instead of 0.9.2.  I imagine there is a better way to do this with Ruby, but since this is my first foray into Ruby development.

That should resolve your issues.  Best of luck!